# Post-instalační konfigurace Arch Linuxu

Tento dokument popisuje kroky potřebné k dokončení konfigurace Arch Linuxu po základní instalaci. Zahrnuje instalaci a nastavení Pipewire, Timeshift, grub-btrfs a dalších doplňkových služeb.

## 1. Aktualizace systému

Po prvním spuštění systému je důležité provést aktualizaci balíčků, aby byly aplikovány nejnovější bezpečnostní opravy a vylepšení.

```bash
sudo pacman -Syu
```

## 2. Instalace a konfigurace Pipewire

Pipewire je moderní audio a video server, který poskytuje nízkou latenci a je navržen tak, aby byl plně kompatibilní s existujícími aplikacemi PulseAudio, JACK a ALSA.


### Instalace Pipewire

```bash
sudo pacman -S pipewire pipewire-alsa pipewire-pulse pipewire-jack pipewire-media-session
```

### Aktivace Pipewire

```
systemctl --user enable pipewire pipewire-media-session
systemctl --user start pipewire pipewire-media-session
```
## 3. Instalace yay

`yay` je pomocník pro správu balíčků z AUR (Arch User Repository), který umožňuje snadnou instalaci balíčků z AUR.
Instalace yay

### Nejprve nainstalujte potřebné závislosti:

```bash
sudo pacman -S base-devel git
```

Poté klonujte repozitář yay a nainstalujte jej:

```bash
cd /opt
sudo git clone https://aur.archlinux.org/yay.git
sudo chown -R $USER:$USER ./yay
cd yay
makepkg -si
```

## 4. Instalace a konfigurace Timeshift

Timeshift je nástroj pro správu záloh systému pomocí rsync nebo BTRFS. Umožňuje vytvářet a spravovat snapshoty systému.

### Instalace Timeshift z AUR

```bash
yay -S timeshift
```
## Aktivace Cronie

Cronie je služba používaná Timeshiftem pro pravidelné spouštění služeb. Musí být povolena.

```bash
sudo systemctl enable --now cronie.service
```

## Nastavení Timeshift

Spusťte Timeshift a nastavte jej pro použití BTRFS. Volitelně povolte automatické snapshoty a vyberte, zda chcete zahrnout složku domovského adresáře do snapshotů. Vytvořte první snapshot kliknutím na tlačítko "Create" v levém horním rohu okna.

### Instalace timeshift-autosnap z AUR

Pokud chcete automatické snapshoty před každou aktualizací balíčků/systému, nainstalujte timeshift-autosnap:

```bash
yay -S timeshift-autosnap
```
